メンバーの解決 (V2)
Resolves an organization member by email or user ID. Exactly one of email or userId must be provided.
GET/v2/members
https://api.cloud.zilliz.com
shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API キーである必要があります。
値の例: Bearer {{TOKEN}}
emailstringquery
メンバーのメールアドレス。
値の例: alice@example.com
userIdstringquery
メンバーのユーザー ID。
値の例: usr-xxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/members" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス200 OK - application/json
成功した結果またはエラーメッセージを返します。
成功したレスポンス。
codeinteger必要
レスポンスコード。
値の例: 0
dataobject必要
解決された組織メンバー。
userIdstring
メンバーのユーザー ID。
値の例: usr-xxxxxxxxxxxxxx
namestring
メンバーの表示名。
値の例: Alice Wang
emailstring
メンバーのメールアドレス。
値の例: alice@example.com
失敗したレスポンス。
codeinteger必要
レスポンスコード。
messagestring必要
エラーメッセージ。
Successjson
{
"code": 0,
"data": {
"userId": "usr-xxxxxxxxxxxxxx",
"name": "Alice Wang",
"email": "alice@example.com"
}
}